Read Benefits Count
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/benefits.countimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/benefits.count"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/benefits.count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"countAll": "<string>",
"countRedeemed": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Benefit
Read Benefits Count
A GET to the /benefits.count endpoint allows your application to retrieve a count of all benefit metrics
GET
/
v3
/
benefits.count
Read Benefits Count
Filtering
This endpoint accepts
filter and sort query parameters. See Filtering, sorting, and search for paging and for the shared search_with, custom_field, and json_contains filters.Examples
curl -X GET "https://api.[tenant].getomneo.com/api/v3/benefits.count?filter[external_id]={external_id}" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/benefits.count?filter[issued_at][gte]=2026-01-01&filter[issued_at][lt]=2026-02-01" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/benefits.count?filter[definition.type]={type}" \
-H "Authorization: Bearer ${TOKEN}"
Operators
| Operator | Meaning | Example |
|---|---|---|
eq | Equal to. Applied when you give no operator. | filter[external_id]={external_id} |
ne | Not equal to. | filter[external_id][ne]={external_id} |
gt | Greater than. | filter[issued_at][gt]=2026-01-01 |
gte | Greater than or equal to. | filter[issued_at][gte]=2026-01-01 |
lt | Less than. | filter[issued_at][lt]=2026-02-01 |
lte | Less than or equal to. | filter[issued_at][lte]=2026-02-01 |
in | Matches any value in a comma separated list. | filter[benefit_definition_id][in]=123,456 |
not_in | Excludes every value in a comma separated list. | filter[benefit_definition_id][not_in]=123,456 |
nullable | 1 returns records where the attribute is empty. Any other value returns records where it is set. | filter[expires_at][nullable]=1 |
not_has | Excludes records that have a matching related record. Related attributes only. | filter[definition.type][not_has]={type} |
Filter attributes
| Attribute | Attribute | Attribute |
|---|---|---|
benefit_definition_id | expires_at | issued_at |
meta | external_id | timezone |
claimed_at | redeem_code_pos | redeem_code_online |
value | is_combined | combine_meta |
extended_at | source_id | source_type |
sort key, for example ?sort=-issued_at for descending order.
Related attributes
Dot notation filters on a related record. Usenot_has to exclude rows that have a matching related record. Related attributes are filter only, not sort keys.
| Attribute | Relationship |
|---|---|
definition.type | definition |
Response
Show child attributes
Show child attributes
⌘I